Skip to content
payrocdevelopers

Retrieve funding recipient

Browse API reference

GET/funding-recipients/{recipientId}getFundingRecipient

Use this method to retrieve information about a funding recipient.

To retrieve a funding recipient, you need its recipientId. Our gateway returned the recipientId in the response of the Create Funding Recipient method.

Note: If you don't have the recipientId, use our List Funding Recipients method to search for the funding recipient.

Our gateway returns the following information about the funding recipient:

  • Tax ID and Doing Business As (DBA) name.
  • Address and contact details.
  • Funding accounts linked to the funding recipient.

Parameters

NameInTypeDescription
recipientIdRequiredpathinteger

Unique identifier that we assigned to the funding recipient.

Responses

Successful request. Returns the requested funding recipient.

200 OK · application/json
{
  "address": {
    "address1": "1 Example Ave.",
    "city": "Chicago",
    "country": "US",
    "postalCode": "60056",
    "state": "Illinois"
  },
  "contactMethods": [
    {
      "type": "phone",
      "value": "2025550164"
    }
  ],
  "createdDate": "2024-07-02T15:30:00+00:00",
  "doingBusinessAs": "Pizza Doe",
  "fundingAccounts": [
    {
      "fundingAccountId": 123,
      "link": {
        "href": "https://api.payroc.com/v1/funding-accounts/123",
        "method": "get",
        "rel": "fundingAccount"
      },
      "status": "approved"
    },
    {
      "fundingAccountId": 124,
      "link": {
        "href": "https://api.payroc.com/v1/funding-accounts/124",
        "method": "get",
        "rel": "fundingAccount"
      },
      "status": "hold"
    }
  ],
  "lastModifiedDate": "2024-07-02T15:30:00+00:00",
  "metadata": {
    "yourCustomField": "abc123"
  },
  "owners": [
    {
      "link": {
        "href": "https://api.payroc.com/v1/owners/4564",
        "method": "get",
        "rel": "owner"
      },
      "ownerId": 4564
    }
  ],
  "recipientId": 234,
  "recipientType": "privateCorporation",
  "status": "approved",
  "taxId": "123456789"
}
Response schema · 44 fields
  • addressobjectrequired
    Polymorphic object that contains address information for a funding recipient.
    • addressobject
      Object that contains information about the address.
      • address1stringrequired
        Address line 1.≤ 150 chars
      • address2string
        Address line 2.≤ 150 chars
      • address3string
        Address line 3.≤ 150 chars
      • citystringrequired
        City.≤ 50 chars
      • countrystringrequired
        Two-digit country code for the country that the business operates in. The format follows the ISO-3166-1 standard.2–2 chars
      • postalCodestringrequired
        Zip code or postal code.≤ 10 chars
      • statestringrequired
        Name of the state or state abbreviation.≤ 50 chars
  • charityIdstring
    Government identifier of the charity.
  • contactMethodsobject[]required
    Array of polymorphic objects, which contain contact information. The value of the type parameter determines which variant you should use: email Email address phone Phone number mobile Mobile number fax Fax number≥ 1 items
    • emailobject
      • typestringrequired
        Type of contact method.email
      • valuestringrequired
        Email address.≤ 50 chars
    • phoneobject
      • typestringrequired
        Type of contact method.phone
      • valuestringrequired
        Phone number.≤ 15 chars
    • mobileobject
      • typestringrequired
        Type of contact method.mobile
      • valuestringrequired
        Mobile number.≤ 15 chars
    • faxobject
      • typestringrequired
        Type of contact method.fax
      • valuestringrequired
        Fax number.≤ 15 chars
  • createdDatestringdate-time
    Date the funding recipient was created.
  • doingBusinessAsstringrequired
    Legal name of the business or organization.
  • fundingAccountsobject[]required
    Array of fundingAccount objects associated with the funding recipient.
    • fundingAccountIdinteger
      Unique identifier of the funding account.
    • linkobject
      Object that contains HATEOAS links for the resource.
      • hrefstring
        URL of the target resource.
      • methodstring
        HTTP method that you need to use with the target resource.
      • relstring
        Indicates the relationship between the current resource and the target resource.
    • statusstring
      Status of the funding account.approvedrejectedpendinghold
  • lastModifiedDatestringdate-time
    Date the funding recipient was last modified.
  • metadataobject
    Metadata object you can use to include custom data with your request.
  • ownersobject[]required
    Array of owner objects associated with the funding recipient.
    • linkobject
      Object that contains HATEOAS links for the resource.
      • hrefstring
        URL of the target resource.
      • methodstring
        HTTP method that you need to use with the target resource.
      • relstring
        Indicates the relationship between the current resource and the target resource.
    • ownerIdinteger
      Unique identifier of the owner.
  • recipientIdinteger
    Unique identifier that we assigned to the funding recipient.
  • recipientTypestringrequired
    Type or legal structure of the funding recipient.privateCorporationpublicCorporationnonProfitgovernmentprivateLlcpublicLlcprivatePartnershippublicPartnership+1 more
  • statusstring
    Indicates if we have approved the funding recipient.approvedrejectedpending
  • taxIdstringrequired
    Employer identification number (EIN) or Social Security number (SSN).

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer